Loading...
Searching...
No Matches
pp-avformat.h File Reference
Tools and utilities » Recordings post-processing utility
`#include "../debug.h"`
`#include <libavcodec/avcodec.h>`
`#include <libavformat/avformat.h>`
Include dependency graph for pp-avformat.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | LIBAVCODEC_VER_AT_LEAST(major, minor)
#define | LIBAVFORMAT_VER_AT_LEAST(major, minor)

## Functions

void | janus_pp_setup_avformat (void)
AVFormatContext * | janus_pp_create_avformatcontext (const char *format, const char *metadata, const char *destination)
AVStream * | janus_pp_new_video_avstream (AVFormatContext *fctx, int codec_id, int width, int height)
AVStream * | janus_pp_new_audio_avstream (AVFormatContext *fctx, int codec_id, int samplerate, int channels, const uint8_t *extradata, int size)

## Detailed Description

Copyright
  GNU General Public License v3

Recordings post-processing utility

## Macro Definition Documentation

## LIBAVCODEC_VER_AT_LEAST

#define LIBAVCODEC_VER_AT_LEAST | ( |  | major,
|  |  | minor )

Value:
(LIBAVCODEC_VERSION_MAJOR > major || \
(LIBAVCODEC_VERSION_MAJOR == major && \
LIBAVCODEC_VERSION_MINOR >= minor))

## LIBAVFORMAT_VER_AT_LEAST

#define LIBAVFORMAT_VER_AT_LEAST | ( |  | major,
|  |  | minor )

Value:
(LIBAVFORMAT_VERSION_MAJOR > major || \
(LIBAVFORMAT_VERSION_MAJOR == major && \
LIBAVFORMAT_VERSION_MINOR >= minor))

## Function Documentation

## janus_pp_create_avformatcontext()

AVFormatContext * janus_pp_create_avformatcontext | ( | const char * | format,
|  | const char * | metadata,
|  | const char * | destination )

## janus_pp_new_audio_avstream()

AVStream * janus_pp_new_audio_avstream | ( | AVFormatContext * | fctx,
|  | int | codec_id,
|  | int | samplerate,
|  | int | channels,
|  | const uint8_t * | extradata,
|  | int | size )

## janus_pp_new_video_avstream()

AVStream * janus_pp_new_video_avstream | ( | AVFormatContext * | fctx,
|  | int | codec_id,
|  | int | width,
|  | int | height )

## janus_pp_setup_avformat()

void janus_pp_setup_avformat | ( | void |  | ) |